GET 25 FREE SCREENSHOTS PER MONTH  →
API REFERENCE

List All Screenshots

List every screenshot captured in your account, across all of your screenshot configurations, with paging parameters to walk through the results.

BASE URL https://api.pagepixels.com
GET YOUR FREE API KEY →
ENDPOINT

List all screenshots in the account.

GET /screenshots

The screenshots endpoint provides an array of all screenshots captured for the entire account.

By default, the API will return 1000 records per request.

Paging Parameters

Key Description
page The page you would like to retrieve. Default: 1.
limit The total number of records you would like to retrieve. Minimum: 1, Maximum: 1000, Default: 1000
after A unix timestamp (with or without milliseconds). Only records created after this time will be returned in the request. Default: none
before A unix timestamp (with or without milliseconds). Only records created before this time will be returned in the request. Default: none
order

Can be either 'ASC' or 'DESC'. Default: 'DESC'.

Records returned in DESC (descending) order will return the most recent records first to the oldest records. Records returned in ASC (ascending) order will return the oldest records first to the newest records.

GET REQUEST /screenshots http
https://api.pagepixels.com/screenshots?access_token=your-api-key&page=1
JSON RESPONSE
{
  "success": true,
  "screenshots": [
    {
      "id": "e32fae0e-968a-43e7-ab94-af9768fd99b9",
      "is_browser_extension_screenshot": false,
      "embed_url": "https://pagepixels.com/app/screenshots/46fd6b6a-5873-496e-b709-d7b106d2bfa3/embed",
      "screenshot_configuration_id": "46fd6b6a-5873-496e-b709-d7b106d2bfa3",
      "direct_link": "https://cdn.pagepixels.com/46fd6b6a-5873-496e-b709-d7b106d2bfa3/a5cc95ed89caf0-1746154614350.jpg",
      "direct_thumbnail_link": "https://cdn.pagepixels.com/46fd6b6a-5873-496e-b709-d7b106d2bfa3/thumb_a5cc95ed89caf0-1746154614350.jpg",
      "taken_at_timestamp": "1746154623256",
      "taken_at": "2025-05-02T02:57:03+00:00",
      "ai": {
        "ai_analyzed": false,
        "ai_prompt": "",
        "ai_response": ""
      },
      "job_id": "34abe226f18783711db54910"
    },
    {
      "id": "13043685-5e70-44ac-a011-841006844215",
      "is_browser_extension_screenshot": false,
      "embed_url": "https://pagepixels.com/app/screenshots/3f569060-78ad-46dc-8d1e-849bc3441d04/embed",
      "screenshot_configuration_id": "3f569060-78ad-46dc-8d1e-849bc3441d04",
      "direct_link": "https://cdn.pagepixels.com/3f569060-78ad-46dc-8d1e-849bc3441d04/2d4c5367ad674f-1746154286979.jpg",
      "direct_thumbnail_link": "https://cdn.pagepixels.com/3f569060-78ad-46dc-8d1e-849bc3441d04/thumb_2d4c5367ad674f-1746154286979.jpg",
      "taken_at_timestamp": "1746154289763",
      "taken_at": "2025-05-02T02:51:29+00:00",
      "ai": {
        "ai_analyzed": false,
        "ai_prompt": "",
        "ai_response": ""
      },
      "job_id": "afc74ef12eaf312e8052c96b"
    }
  ]
}

Response Breakdown

Key Description
success This key's value will always be a boolean (true or false) indicating whether the request was successful. If it is false, there will be an accompanying error_code describing the problem. See this section for error code information.
screenshots An array containing the screenshot information, including the direct_link to the screenshot's main CDN link, the direct_thumbnail_link to the screenshot's thumbnail CDN link, the taken_at_timestamp containing the unix timestamp for when the shot was captured, and a reference to the job_id, for each captured screenshot in the configuration.

Support

Questions? Contact us anytime by email:

Or send us a message through our Support page.

FREE PLAN

Start free. Upgrade when you’re ready.

Every feature and integration is included on the free plan. No credit card and no phone number required.

Free $0 / month
25 screenshots every month
32 MB of Real Location proxy bandwidth
25 AI Analysis credits